Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 807013 - [abrt] gthumb-2.14.2-1.fc16: gth_image_is_animation: Process /usr/bin/gthumb was killed by signal 11 (SIGSEGV)
Summary: [abrt] gthumb-2.14.2-1.fc16: gth_image_is_animation: Process /usr/bin/gthumb ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gthumb
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e0ffcd1fd83c30f46fb60e10dde...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-26 18:45 UTC by Guillermo Martin
Modified: 2013-02-13 12:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 12:57:49 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (14.16 KB, text/plain)
2012-03-26 18:45 UTC, Guillermo Martin
no flags Details
File: build_ids (5.25 KB, text/plain)
2012-03-26 18:45 UTC, Guillermo Martin
no flags Details
File: maps (65.11 KB, text/plain)
2012-03-26 18:45 UTC, Guillermo Martin
no flags Details
File: backtrace (24.32 KB, text/plain)
2012-03-26 18:45 UTC, Guillermo Martin
no flags Details
File: backtrace (25.19 KB, text/plain)
2012-04-15 16:25 UTC, Andy Campbell
no flags Details

Description Guillermo Martin 2012-03-26 18:45:25 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gthumb '/media/NIKON D3100/DCIM/100D3100/DSC_0002.NEF'
comment:        The problem occurs when i try to open a *.NEF file with gspot.
crash_function: gth_image_is_animation
executable:     /usr/bin/gthumb
kernel:         3.3.0-4.fc16.x86_64
pid:            2655
pwd:            /home/guille
reason:         Process /usr/bin/gthumb was killed by signal 11 (SIGSEGV)
time:           lun 26 mar 2012 19:52:39 CEST
uid:            1000
username:       guille

backtrace:      Text file, 24901 bytes
build_ids:      Text file, 5373 bytes
dso_list:       Text file, 14501 bytes
maps:           Text file, 66674 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=cosmos
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4eda81f5760c5ac2df8ad07800000027-1332783942.292426-2100393239
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-DgWlkp
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=guille
:USERNAME=guille
:MAIL=/var/spool/mail/guille
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/guille/.local/bin:/home/guille/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/guille
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1793
:LANG=es_ES.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/guille
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=guille
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-hW6aSMK968,guid=816a7473a8277970dee092eb000000ff
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/guille
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-guille-RsVFLi/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1799,unix/unix:/tmp/.ICE-unix/1799
:SSH_AUTH_SOCK=/tmp/keyring-DgWlkp/ssh
:GPG_AGENT_INFO=/tmp/keyring-DgWlkp/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gthumb.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2655
:DESKTOP_STARTUP_ID=nautilus-2541-cosmos-gthumb-2_TIME671662

var_log_messages:
:Mar 26 19:52:13 cosmos kernel: [  644.675373] gthumb[2611]: segfault at 18 ip 0000000000475804 sp 00007fff0c476e50 error 4 in gthumb[400000+d8000]
:Mar 26 19:52:13 cosmos abrt[2616]: Saved core dump of pid 2611 (/usr/bin/gthumb) to /var/spool/abrt/ccpp-2012-03-26-19:52:13-2611 (54726656 bytes)
:Mar 26 19:52:39 cosmos kernel: [  670.775344] gthumb[2655]: segfault at 18 ip 0000000000475804 sp 00007fff348fd5d0 error 4 in gthumb[400000+d8000]
:Mar 26 19:52:39 cosmos abrt[2660]: Saved core dump of pid 2655 (/usr/bin/gthumb) to /var/spool/abrt/ccpp-2012-03-26-19:52:39-2655 (46194688 bytes)

xsession_errors:
:(gthumb:2611): Gtk-WARNING **: Inserting action group 'Web Albums Actions' into UI manager which already has a group with this name
:(gthumb:2655): Gtk-WARNING **: Inserting action group 'Web Albums Actions' into UI manager which already has a group with this name

Comment 1 Guillermo Martin 2012-03-26 18:45:28 UTC
Created attachment 572841 [details]
File: dso_list

Comment 2 Guillermo Martin 2012-03-26 18:45:30 UTC
Created attachment 572842 [details]
File: build_ids

Comment 3 Guillermo Martin 2012-03-26 18:45:32 UTC
Created attachment 572843 [details]
File: maps

Comment 4 Guillermo Martin 2012-03-26 18:45:34 UTC
Created attachment 572844 [details]
File: backtrace

Comment 5 Andy Campbell 2012-04-15 16:25:54 UTC
gThumb core dump every time I view a Nikon Raw image (.NEF) file.
Appears ok a thumb nail in browser, but crashes in viewer


backtrace_rating: 4
Package: gthumb-2.14.2-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 6 Andy Campbell 2012-04-15 16:25:59 UTC
Created attachment 577551 [details]
File: backtrace

Comment 7 Fedora End Of Life 2013-01-16 12:37:39 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-02-13 12:57:52 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.